Skip to main content
post/v2/dlq/retry
Request example
Response
post/v2/dlq/retry
Warning

The synchronous pagination API is deprecated. It’s recommended to use Async Bulk endpoint to process all matching entries in a bulk action.

This paginated request processes at most count matching messages and returns a cursor for the next page.

When DLQ messages are retried, new messages with the same body and headers are created and scheduled for delivery. The original DLQ messages are then removed from the DLQ.

Authorization

Authorizationstringheaderrequired#
QStash authentication token

1 alternative authorization method available — see the spec for details.

Query parameters

cursorstring#
Cursor returned by the previous page. Omit for the first page.
countinteger#
Maximum number of messages to retry in this request.

Default: 100

Range: <= 100

messageIdstring#
Filter DLQ messages by message ID
urlstring[]#
Filter DLQ messages by destination URL. Supports multiple values.
topicNamestring[]#
Filter DLQ messages by URL Group name. Supports multiple values.
scheduleIdstring[]#
Filter DLQ messages by schedule ID. Supports multiple values.
queueNamestring[]#
Filter DLQ messages by queue name. Supports multiple values.
fromDateinteger#
Filter DLQ messages by starting date, in milliseconds (Unix timestamp). This is inclusive.
toDateinteger#
Filter DLQ messages by ending date, in milliseconds (Unix timestamp). This is inclusive.
responseStatusinteger[]#
Filter DLQ messages by HTTP response status code of the last delivery attempt. Supports multiple values.
callerIpstring[]#
Filter DLQ messages by IP address of the publisher. Supports multiple values.
labelstring[]#
Filter DLQ messages by label. Supports multiple values.
flowControlKeystring[]#
Filter DLQ messages by Flow Control Key. Supports multiple values.

Headers

Upstash-Methodenum<string>#
Override the HTTP method used to deliver each retried message.
Options:GETPOSTPUTPATCHDELETE
Upstash-Timeoutstring#
Override the delivery timeout for each retried message, such as 30s or 2m.
Upstash-Retriesinteger#
Override the number of delivery retries for each retried message. Use 0 to disable retries.
Upstash-Retry-Delaystring#
Override the retry delay expression for each retried message.
Upstash-Delaystring#
Delay each retried message's delivery. Format is <value><unit>, such as 10s or 5m.
Upstash-Not-Beforeinteger#
Delay delivery until this Unix timestamp in seconds. Takes precedence over Upstash-Delay.
Upstash-Labelstring#
Override the labels on each retried message. Use a comma-separated list for multiple labels.
Upstash-Flow-Control-Keystring#
Override the flow control key for each retried message. Set Upstash-Flow-Control-Value to define its limits.
Upstash-Flow-Control-Valuestring#
Override the flow control limits in the format parallelism=<value>, rate=<value>, period=<value>.
Upstash-Callbackstring#
Override the success or failure callback URL for each retried message.
Upstash-Failure-Callbackstring#
Override the failure callback URL for each retried message.

Responses

application/json
Messages retried successfully
cursorstring#

A cursor which you can use in subsequent requests to paginate through all messages.
If no cursor is returned, you have reached the end of the messages.

responsesobject[]#